maharajan_be
Enthusiast
Enthusiast

view 7.5 upgrade issue

Jump to solution

I upgraded one of my connection servers to Horizon view 7.5 from 7.4. After the upgrade, view admin page is not opening and see the below error on the debug log.

<SwiftMQ-ConnectorPool-1> [ClientSSLSocketFactory] Failed to set enabled cipher suites:Cannot support TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256 with currently installed providers com.vmware.vdi.logger.Logger.debug(Logger.java:44)

Appreciate any help

0 Kudos
1 Solution

Accepted Solutions
maharajan_be
Enthusiast
Enthusiast

Fixed the issue.

The solution to the problem is to re-install Connection so that a self-signed certificate is installed, change the friendly name of that certificate to vdm.old, import the custom CA-issued certificate and add the vdm friendly name and restart the Connection services.

View solution in original post

0 Kudos
5 Replies
maharajan_be
Enthusiast
Enthusiast

Fixed the issue.

The solution to the problem is to re-install Connection so that a self-signed certificate is installed, change the friendly name of that certificate to vdm.old, import the custom CA-issued certificate and add the vdm friendly name and restart the Connection services.

View solution in original post

0 Kudos
amr12
Enthusiast
Enthusiast

Well this is encouraging.

0 Kudos
jwininger
Enthusiast
Enthusiast

I had the same issue in my test environment.  I resolved it by uninstalling the Connection server, but leaving the AD LDS data in place...then reran the 7.5 installer.  Wonder if it's an issue upgrading from versions other than 7.4.

0 Kudos
cdickerson75
Enthusiast
Enthusiast

Me too.  One server upgraded no problem, other one didn't.  I uninstalled horizon view, changed the friendly name of the wildcard cert I had installed.  Reinstalled horizon view, then added vdm back to friendly name of existing wildcard cert and all was good.  Something is broke with the installer with using existing certs.

-Craig

0 Kudos
amr12
Enthusiast
Enthusiast

So i didnt have this problem but i am unable to upgrade 1 connection server in my lab, the other one upgraded fine.

0 Kudos